KYUA-DB-MIGRATE(1)

NAME
kyua db-migrate - Upgrades the schema of an existing results file

SYNOPSIS
kyua db-migrate [--results-file file]

DESCRIPTION
The kyua db-migrate command migrates the schema of an existing database to the latest version implemented in kyua(1).

This operation is not reversible. However, a backup of the database is created in the same directory where the database lives.

The following subcommand options are recognized:

--results-file path, -r path
    __include__ results-file-flag-read.mdoc

  Results files
__include__ results-files.mdoc

EXIT STATUS
The kyua db-migrate command returns 0 on success or 1 if the migration fails.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1)